package com.tzy.s.wx.applet.service;

import com.alibaba.fastjson.JSONObject;
import com.tzy.s.wx.dto.Result;

/**
 * 微信小程序直播
 */
public interface  WxAppletBroadcastApi<T> {
    //操作直播间
    public Result holdRoom(String method,String token, JSONObject jsonObject);
    //获取直播间推流地址
    public Result getPushUrl(String token,JSONObject jsonObject);
    //获取分享二维码
    public Result getSharedCode(String token,JSONObject jsonObject);
    //获取直播间列表
    public Result<T> getLiveInfo(String token, JSONObject jsonObject);
    //获取直播间回放
    public Result getLiveReplays(String token,JSONObject jsonObject);
    //直播间 角色管理
    public Result holdLiveRole(String method,String token,JSONObject jsonObject);
}
